from datetime import datetime

def format_date(date):
    # Extract the date part (skip the "B" prefix)
    date_part = date[1:]

    # Convert to a datetime object
    date_object = datetime.strptime(date_part, "%Y%m%d")

    # Format as "day month year"
    formatted_date = date_object.strftime("%d %B %Y")

    return formatted_date

def format_room(room):

    room = room[-5:].lstrip("0")

    room_count = int(room[:1])
    if room_count == 1:
        return (f"{room_count} Zimmer")
    else:
        return (f"{room_count} Zimmer")



def format_money(money):
    # B000000079900 -> 799,00 €
    
    # Extract the amount part (skip the "B" prefix)
    amount_part = money[1:]

    # remove leading zeros
    amount_part = amount_part.lstrip("0")

    # Split the amount into euros and cents
    euros = amount_part[:-2]
    cents = amount_part[-2:]

    # Combine the parts with a comma
    formatted_money = f"{euros},{cents} €"

    return formatted_money

def format_roomSize(room):

    # Extract the amount part (skip the "B" prefix)
    amount_part = room[1:]
    # remove leading zeros
    amount_part = amount_part.lstrip("0")
    # Split the amount into meters and centimeters
    meters = amount_part[:-4]
    centimeters = amount_part[-4:]
    # Combine the parts with a comma
    formatted_room = f"{meters},{centimeters} m²"

    return formatted_room